=== debian/changelog ===
ros-eloquent-nav2-bt-navigator (0.3.5-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Michael Jeronimo <michael.jeronimo@intel.com>  Mon, 29 Jun 2020 22:48:30 -0000
