=== debian/control ===
Source: ros-eloquent-nav2-bt-navigator
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-behaviortree-cpp-v3, ros-eloquent-geometry-msgs, ros-eloquent-nav-msgs, ros-eloquent-nav2-behavior-tree, ros-eloquent-nav2-common, ros-eloquent-nav2-msgs, ros-eloquent-nav2-util, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-lifecycle, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-tf2-ros, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-nav2-bt-navigator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-behaviortree-cpp-v3, ros-eloquent-geometry-msgs, ros-eloquent-nav-msgs, ros-eloquent-nav2-behavior-tree, ros-eloquent-nav2-msgs, ros-eloquent-nav2-util, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-lifecycle, ros-eloquent-std-msgs, ros-eloquent-tf2-ros, ros-eloquent-ros-workspace
Description: TODO
